#define OR 257
#define AND 258
#define UMINUS 259
#define STRING 260
#define FIELD 261
#define NUMBER_STRING 262
#define BINARY_STRING 263
#define DOUBLE 264
#define OPERATOR 265
#define PARAMETER 266
#define ALLTABLE 267
#define DESCRIBE 268
#define PRIMARYINFO 269
#define AUTO_INCREMENT 270
#define GETCATALOGS 271
#define GETDATATYPES 272
#define GETTABLETYPES 273
#define IMPORTEDKEY 274
#define EXPORTEDKEY 275
#define SELECT 276
#define FROM 277
#define WHERE 278
#define BETWEEN 279
#define IN 280
#define NOT 281
#define AS 282
#define LIMIT 283
#define OFFSET 284
#define INNER 285
#define OUTER 286
#define CROSS 287
#define JOIN 288
#define LEFT 289
#define IS 290
#define INSERT 291
#define INTO 292
#define VALUES 293
#define EXPLAIN 294
#define PLAN 295
#define DELETE 296
#define UPDATE 297
#define SET 298
#define NULL_VALUE 299
#define CREATE 300
#define TABLE 301
#define PRIMARY 302
#define KEY 303
#define DEFAULT 304
#define INDEX 305
#define ON 306
#define HASH 307
#define TREE 308
#define UNIQUE 309
#define DROP 310
#define SIZE 311
#define FOREIGN 312
#define REFERENCES 313
#define COMPACT 314
#define TRUNCATE 315
#define CACHE 316
#define CONDITION 317
#define FIELDLIST 318
#define PK 319
#define DIRECT 320
#define DSN 321
#define UNCACHE 322
#define NOSCHEMA 323
#define INT_TYPE 324
#define LONG_TYPE 325
#define SHORT_TYPE 326
#define DOUBLE_TYPE 327
#define TIMESTAMP_TYPE 328
#define DATE_TYPE 329
#define CHAR_TYPE 330
#define TIME_TYPE 331
#define BIGINT_TYPE 332
#define FLOAT_TYPE 333
#define TINYINT_TYPE 334
#define BINARY_TYPE 335
#define VARCHAR_TYPE 336
#define DATE_DIFF 337
#define DATE_ADD 338
#define DATE_SUB 339
#define HOUR 340
#define MINUTE 341
#define SECOND 342
#define YEAR 343
#define MONTH 344
#define DAY 345
#define INTERVAL 346
#define TIME_DIFF 347
#define TIME_ADD 348
#define TIME_SUB 349
#define TIMESTAMP_DIFF 350
#define TIMESTAMP_ADD 351
#define TIMESTAMP_SUB 352
#define EXTRACT 353
#define NOW 354
#define USER 355
#define PASSWORD 356
#define ALTER 357
#define FLUSH 358
#define ADD 359
#define COLUMN 360
#define MODIFY 361
#define RENAME 362
#define TO 363
#define MIN 364
#define MAX 365
#define AVG 366
#define SUM 367
#define COUNT 368
#define GROUP 369
#define BY 370
#define HAVING 371
#define ORDER 372
#define ASC 373
#define DESC 374
#define DISTINCT 375
typedef union
{
   char *stringval;
   void *predicate;
   void *Expression;
   void *FunctionType;
} YYSTYPE;
extern YYSTYPE yylval;
